<?php
set_magic_quotes_runtime(0);

require_once("./includes/configure.php");

//WebService Client.
require_once("./lib/nusoap.php");

// Set the parameters to send to the WebService
$parameters = array("id"=>'27',"ref"=>'');

// Set the WebService URL
$client = new soapclient(OSCWS_DIR."ws_articles.php");

// Call the WebService and store its result in $result.
//$result = $client->call("hello",$parameters);
$result = $client->call("get_article",$parameters );
?>
<html>
<head>
<title>Webservice en php utilisant SOAP</title>
</head>
<body>
<center>

<?php

echo "<h4><b>article ref ".$parameters["ref"]."</b></h4>";
if ($client->fault) {
	echo '<h2>Fault</h2><pre>'; print_r($result); echo '</pre>';
} else {
	$err = $client->getError();
	if ($err) {
		echo '<h2>Error</h2><pre>' . $err . '</pre>';
	} else {
		echo '<h2>Result</h2><pre>'; print_r($result); echo '</pre>';
	}
}
echo '<h2>Request</h2><pre>' . htmlspecialchars($client->request, ENT_QUOTES) . '</pre>';
echo '<h2>Response</h2><pre>' . htmlspecialchars($client->response, ENT_QUOTES) . '</pre>';
//echo '<h2>Debug</h2><pre>' . htmlspecialchars($client->debug_str, ENT_QUOTES) . '</pre>';
?>
?>

</center>
</body>
</html>
